package cn.reghao.autodop.common.msg.pub;

import lombok.Data;

import java.io.Serializable;

/**
 * @author reghao
 * @date 2021-09-15 08:57:55
 */
@Data
public class PubMsg implements Serializable {
    private static final long serialVersionUID = 1L;

    private String clazz;
    private String method;
    private String jsonPayload;

    public static PubMsg pubMsg(String clazz, String method, String jsonPayload) {
        PubMsg pubMsg = new PubMsg();
        pubMsg.setClazz(clazz);
        pubMsg.setMethod(method);
        pubMsg.setJsonPayload(jsonPayload);
        return pubMsg;
    }
}
